Bug 134499 - doesn't show the CJK page correctly on UTF-8 locale
doesn't show the CJK page correctly on UTF-8 locale
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: lynx (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brian Brock
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-03 23:34 EDT by Akira TAGOH
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 06:23:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2004-10-03 23:34:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.3)
Gecko/20041001 Debian/1.7.3-3

Description of problem:
lynx is going to download the euc-jp page instead of displaying the page.

Version-Release number of selected component (if applicable):
lynx-2.8.5-18

How reproducible:
Always

Steps to Reproduce:
1.lynx http://www.yahoo.co.jp
2.
3.
    

Actual Results:  Alert!: euc-jp
text/html;charsetr=euc-jp D)ownload, or C)ancel

Expected Results:  show the euc-jp page

Additional info:
Comment 1 Akira TAGOH 2004-10-03 23:41:55 EDT
er, it happened on en_US.UTF-8. however that testcase doesn't even
work on ja_JP.UTF-8 locale. the help message on the bottom of screen
can show Japanese, though.
Comment 2 Akira TAGOH 2004-10-07 00:33:21 EDT
actually lynx doesn't work for CJK. for another testcase,

Korean testcase:
LANG=ko_KR.UTF-8 lynx http://kr.yahoo.com/

Result:
going to download the page.

Simplified Chinese testcase:
LANG=zh_CN.UTF-8 lynx http://cn.yahoo.com/

Result:
displaying broken strings

Traditional Chinese testcase:
LANG=zh_TW.UTF-8 lynx http://tw.yahoo.com/

Result:
displaying broken strings
Comment 3 Thomas E. Dickey 2004-10-15 15:18:03 EDT
Setting LANG doesn't help much - lynx doesn't translate
the page content (which is not UTF-8).  This is a known
issue, which I am working on.

Note You need to log in before you can comment on or make changes to this bug.